<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_271) on Thu Feb 09 14:24:43 EET 2023 -->
<title>SortingAppTest</title>
<meta name="date" content="2023-02-09">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SortingAppTest";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/epam/elearn/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/epam/elearn/SortingAppParametrizedTest.html" title="class in com.epam.elearn"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/epam/elearn/SortingAppTest.html" target="_top">Frames</a></li>
<li><a href="SortingAppTest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.epam.elearn</div>
<h2 title="Class SortingAppTest" class="title">Class SortingAppTest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.epam.elearn.SortingAppTest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SortingAppTest</span>
extends java.lang.Object</pre>
<div class="block">Unit tests for Sorting App. Check what happens when invalid arguments are entered.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#SortingAppTest--">SortingAppTest</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#emptyArgumentTest--">emptyArgumentTest</a></span>()</code>
<div class="block">Test if no arguments were entered</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#mixArgumentsTest--">mixArgumentsTest</a></span>()</code>
<div class="block">Test if some entered arguments were invalid</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#moreThanTenArgumentsTest--">moreThanTenArgumentsTest</a></span>()</code>
<div class="block">Test if more than 10 (maximum allowed number of arguments) integer numbers were entered</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#negativeOfRangeArgumentTest--">negativeOfRangeArgumentTest</a></span>()</code>
<div class="block">Test if number less than minimum integer number was entered</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#nonIntegerArgumentTest--">nonIntegerArgumentTest</a></span>()</code>
<div class="block">Test if character was entered</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#nullArgumentTest--">nullArgumentTest</a></span>()</code>
<div class="block">Test if null argument was entered</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/epam/elearn/SortingAppTest.html#positiveOfRangeArgumentTest--">positiveOfRangeArgumentTest</a></span>()</code>
<div class="block">Test if number more than maximum integer number was entered</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SortingAppTest--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SortingAppTest</h4>
<pre>public&nbsp;SortingAppTest()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="emptyArgumentTest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyArgumentTest</h4>
<pre>public&nbsp;void&nbsp;emptyArgumentTest()</pre>
<div class="block">Test if no arguments were entered</div>
</li>
</ul>
<a name="nullArgumentTest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nullArgumentTest</h4>
<pre>public&nbsp;void&nbsp;nullArgumentTest()</pre>
<div class="block">Test if null argument was entered</div>
</li>
</ul>
<a name="nonIntegerArgumentTest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nonIntegerArgumentTest</h4>
<pre>public&nbsp;void&nbsp;nonIntegerArgumentTest()</pre>
<div class="block">Test if character was entered</div>
</li>
</ul>
<a name="positiveOfRangeArgumentTest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>positiveOfRangeArgumentTest</h4>
<pre>public&nbsp;void&nbsp;positiveOfRangeArgumentTest()</pre>
<div class="block">Test if number more than maximum integer number was entered</div>
</li>
</ul>
<a name="negativeOfRangeArgumentTest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>negativeOfRangeArgumentTest</h4>
<pre>public&nbsp;void&nbsp;negativeOfRangeArgumentTest()</pre>
<div class="block">Test if number less than minimum integer number was entered</div>
</li>
</ul>
<a name="mixArgumentsTest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mixArgumentsTest</h4>
<pre>public&nbsp;void&nbsp;mixArgumentsTest()</pre>
<div class="block">Test if some entered arguments were invalid</div>
</li>
</ul>
<a name="moreThanTenArgumentsTest--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>moreThanTenArgumentsTest</h4>
<pre>public&nbsp;void&nbsp;moreThanTenArgumentsTest()</pre>
<div class="block">Test if more than 10 (maximum allowed number of arguments) integer numbers were entered</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/epam/elearn/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/epam/elearn/SortingAppParametrizedTest.html" title="class in com.epam.elearn"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/epam/elearn/SortingAppTest.html" target="_top">Frames</a></li>
<li><a href="SortingAppTest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
